Skip to main content
POST
/
api
/
v2
/
createAccount
Create a new account
curl --request POST \
  --url 'https://api.vida.dev/api/v2/createAccount?token=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "accountName": "Acme Solar Bay Area Support Agent",
  "externalAccountId": "AC_12345",
  "externalBillingId": "billing-id-6789",
  "integrations": [
    {
      "appId": "some-app-id",
      "appVersion": "v1",
      "appData": {
        "apiToken": "APIToken"
      }
    },
    {
      "appId": "another-example-app",
      "appVersion": "v2",
      "appData": {
        "accountSid": "sidxxxxxxx",
        "accountToken": "tokenxxxxxxx",
        "apiUrl": "https://someurl.example"
      }
    }
  ]
}
'
{
  "success": true,
  "message": "Account created",
  "account": "New Account object"
}

Documentation Index

Fetch the complete documentation index at: https://vida.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

token
string
query
required

Vida API Token

Query Parameters

targetOrganizationId
string
required

Organization Id to create account in

Body

application/json
accountName
string

Account Name

Example:

"Acme Solar Bay Area Support Agent"

externalAccountId
string

External Account Id to match with your internal system account Id

Example:

"AC_12345"

externalBillingId
string

External Id to match with your internal billing system

Example:

"billing-id-6789"

integrations
object[]

Optional list of third-party app integrations to set up at org creation

Example:
[
{
"appId": "some-app-id",
"appVersion": "v1",
"appData": { "apiToken": "APIToken" }
},
{
"appId": "another-example-app",
"appVersion": "v2",
"appData": {
"accountSid": "sidxxxxxxx",
"accountToken": "tokenxxxxxxx",
"apiUrl": "https://someurl.example"
}
}
]

Response

201 - application/json

Account created

success
boolean
Example:

true

message
string
Example:

"Account created"

account
string
Example:

"New Account object"